## appstream 1.0.2

=== debian/changelog ===
appstream (1.0.2-1build6) noble; urgency=high

  * No change rebuild against libcurl3t64-gnutls, libglib2.0-0t64,
    libqt5core5t64, libqt6core6t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:41 +0200

appstream (1.0.2-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:03:47 +0000

appstream (1.0.2-1build4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:40:20 +0000

appstream (1.0.2-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:52:23 +0000

appstream (1.0.2-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:00:54 +0000

appstream (1.0.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:48:43 +0000

appstream (1.0.2-1) unstable; urgency=medium

  * New upstream version: 1.0.2
  * Drop all patches: Applied upstream
  * Update d/copyright
  * Add build-dep on gobject-introspection-bin for GIR debhelper

 -- Matthias Klumpp <mak@debian.org>  Sat, 24 Feb 2024 22:32:30 +0100

appstream (1.0.1-2) unstable; urgency=medium

  * Build libraries for Qt5 as well as Qt6 in one go

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Dec 2023 22:12:42 +0100

=== debian/control ===
Source: appstream
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-xsl,
               gettext,
               gi-docgen,
               gobject-introspection,
               gobject-introspection-bin,
               gperf,
               itstool,
               libcairo2-dev,
               libcurl4-gnutls-dev | libcurl-dev (>= 7.62),
               libfontconfig-dev,
               libgdk-pixbuf-2.0-dev,
               libgirepository1.0-dev (>= 1.62),
               libglib2.0-dev (>= 2.62),
               libjs-highlight.js,
               libpango1.0-dev,
               librsvg2-dev (>= 2.48) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
               libstemmer-dev,
               libsystemd-dev (>= 242) [linux-any],
               libxml2-dev,
               libxmlb-dev (>= 0.3.13),
               libyaml-dev,
               meson (>= 0.62),
               qt6-base-dev,
               qtbase5-dev,
               valac,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream

Package: appstream
Architecture: any
Multi-Arch: foreign
Depends: shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: apt-config-icons
Description: Software component metadata management
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 The AppStream project provides facilities to easily access and transform
 this metadata, as well as a few additional services to allow building
 feature-rich software centers and similar applications.
 .
 This package provides tools to generate, maintain and query the AppStream
 data pool of installed and available software, and enables integration
 with the APT package manager.
 .
 The 'appstreamcli' tool can be used for accessing the software component
 pool as well as for working with AppStream metadata directly, including
 validating it for compliance with the specification.

Package: appstream-compose
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Depends: appstream,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ffmpeg,
            optipng
Replaces: appstream (<< 0.15.2)
Breaks: appstream (<< 0.15.2)
Description: Compose metadata catalogs from directory trees
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package extends the `appstreamcli` utility with a `compose` subcommand
 to generate AppStream metadata and media files from directory trees.

Package: libappstream5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library to access AppStream services
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains a GObject-based library to access AppStream
 services, like the software component metadata pool.
 It also contains functions for reading, writing and transforming AppStream
 metadata.

Package: libappstream-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: gir1.2-appstream-1.0 (= ${binary:Version}),
         libappstream5 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Description: Library to access AppStream services (development files)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains development files necessary to develop
 software management tools which use the AppStream library.

Package: gir1.2-appstream-1.0
Architecture: any
Section: introspection
Multi-Arch: same
Depends: libappstream5 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: Library to access AppStream services (introspection data)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains introspection data for the AppStream library.

Package: libappstreamqt3
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Qt6 library to access AppStream services
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains a Qt-based library to access AppStream
 services, like the software component metadata pool.

Package: libappstreamqt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libappstreamqt3 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: Qt6 library to access AppStream services (development files)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains development files necessary to develop
 software management tools which use the Qt-based AppStream library.

Package: libappstreamqt5-3
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Qt5 library to access AppStream services
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains a Qt5-based library to access AppStream
 services, like the software component metadata pool.

Package: libappstreamqt5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libappstreamqt5-3 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Qt5 library to access AppStream services (development files)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains development files necessary to develop
 software management tools which use the Qt5-based AppStream library.

Package: libappstream-compose0
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Building blocks to compose AppStream metadata
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains a GObject-based library of high-level functions
 to compose AppStream metadata and auxiliary data (like font renderings,
 icons, etc.).

Package: libappstream-compose-dev
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Section: libdevel
Multi-Arch: same
Depends: gir1.2-appstreamcompose-1.0 (= ${binary:Version}),
         libappstream-compose0 (= ${binary:Version}),
         libappstream-dev (= ${binary:Version}),
         libgdk-pixbuf-2.0-dev,
         ${misc:Depends}
Suggests: appstream-generator
Description: Building blocks to compose AppStream metadata (development files)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains development files necessary to develop applications
 using the AppStream compose library.

Package: gir1.2-appstreamcompose-1.0
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Section: introspection
Multi-Arch: same
Depends: libappstream-compose0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: Building blocks to compose AppStream metadata (introspection data)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains introspection data for the AppStream compose library.

Package: appstream-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-highlight.js,
         ${misc:Depends}
Suggests: appstream
Description: Developer documentation for AppStream

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32))
	ENABLE_COMPOSE=true
else
	ENABLE_COMPOSE=false
endif

AS_CONFIGURE_ARGS = -Dapt-support=true \
		-Dcompose=$(ENABLE_COMPOSE) \
		-Dvapi=true \
		-Dqt=true \
		-Dqt-versions=5,6

ifneq ($(DEB_HOST_ARCH_OS), linux)
	AS_CONFIGURE_ARGS += -Dsystemd=false
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

override_dh_missing:
	dh_missing --fail-missing

## appstream 1.0.3

=== debian/changelog ===
appstream (1.0.3-1) unstable; urgency=medium

  * New upstream version: 1.0.3
  * Allow compose builds on loong64 (Closes: #1058989)
    - Thanks to yalingfang for the patch!

 -- Matthias Klumpp <mak@debian.org>  Wed, 24 Apr 2024 20:08:14 +0200

## appstream 1.0.4

=== debian/changelog ===
appstream (1.0.4-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version 1.0.4 (Closes: #1078593)

  [ Adam Vodopjan ]
  * Fix typo in debian/appstream.postrm

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Dec 2024 23:42:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: appstream
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                docbook-xsl,
                gettext,
@@ -19,7 +18,7 @@
                libglib2.0-dev (>= 2.62),
                libjs-highlight.js,
                libpango1.0-dev,
-               librsvg2-dev (>= 2.48) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
+               librsvg2-dev (>= 2.48) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
                libstemmer-dev,
                libsystemd-dev (>= 242) [linux-any],
                libxml2-dev,
@@ -60,7 +59,7 @@
  validating it for compliance with the specification.
 
 Package: appstream-compose
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64  mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Depends: appstream,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -208,7 +207,7 @@
  software management tools which use the Qt5-based AppStream library.
 
 Package: libappstream-compose0
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64  mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -227,7 +226,7 @@
  icons, etc.).
 
 Package: libappstream-compose-dev
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Section: libdevel
 Multi-Arch: same
 Depends: gir1.2-appstreamcompose-1.0 (= ${binary:Version}),
@@ -248,7 +247,7 @@
  using the AppStream compose library.
 
 Package: gir1.2-appstreamcompose-1.0
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Section: introspection
 Multi-Arch: same
 Depends: libappstream-compose0 (= ${binary:Version}),
@@ -272,3 +271,4 @@
          ${misc:Depends}
 Suggests: appstream
 Description: Developer documentation for AppStream
+ AppStream is a metadata specification which permits software components to

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32))
 	ENABLE_COMPOSE=true
 else
 	ENABLE_COMPOSE=false

## appstream 1.0.5

=== debian/changelog ===
appstream (1.0.5-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 25 Apr 2025 16:26:29 +0300

appstream (1.0.5-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.0.5
  * Bump standards version: No changes needed

  [ Simon McVittie ]
  * Revert "Add build-dep on gobject-introspection-bin for GIR debhelper"
    (Closes: #1094613)
  * d/control: Add ${gir:Depends} to -dev packages
  * d/control: Add ${gir:Provides} to -dev packages
  * d/control: Add gir1.2-*-dev Build-Depends as suggested by dh_girepository
  * d/control, d/rules: Enable gir sequence declaratively
  * d/control, d/rules: Only require gi-docgen for arch-indep builds
  * d/control: Don't build API documentation under nodoc build-profile

 -- Matthias Klumpp <mak@debian.org>  Thu, 24 Apr 2025 17:54:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                docbook-xsl,
                gettext,
-               gi-docgen,
+               gir1.2-gdkpixbuf-2.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gobject-introspection,
-               gobject-introspection-bin,
                gperf,
                itstool,
                libcairo2-dev,
-               libcurl4-gnutls-dev | libcurl-dev (>= 7.62),
+               libcurl4-gnutls-dev | libcurl4-openssl-dev | libcurl-dev (>= 7.62),
                libfontconfig-dev,
                libgdk-pixbuf-2.0-dev,
-               libgirepository1.0-dev (>= 1.62),
                libglib2.0-dev (>= 2.62),
                libjs-highlight.js,
                libpango1.0-dev,
                librsvg2-dev (>= 2.48) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
                libstemmer-dev,
-               libsystemd-dev (>= 242) [linux-any],
                libxml2-dev,
                libxmlb-dev (>= 0.3.13),
                libyaml-dev,
@@ -29,8 +29,9 @@
                qtbase5-dev,
                valac,
                xsltproc
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream
@@ -105,7 +106,9 @@
 Depends: gir1.2-appstream-1.0 (= ${binary:Version}),
          libappstream5 (= ${binary:Version}),
          libglib2.0-dev,
-         ${misc:Depends}
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Description: Library to access AppStream services (development files)
  AppStream is a metadata specification which permits software components to
  provide information about themselves to automated systems and end-users
@@ -233,7 +236,9 @@
          libappstream-compose0 (= ${binary:Version}),
          libappstream-dev (= ${binary:Version}),
          libgdk-pixbuf-2.0-dev,
-         ${misc:Depends}
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: appstream-generator
 Description: Building blocks to compose AppStream metadata (development files)
  AppStream is a metadata specification which permits software components to
@@ -264,11 +269,8 @@
  This package contains introspection data for the AppStream compose library.
 
 Package: appstream-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: libjs-highlight.js,
-         ${misc:Depends}
-Suggests: appstream
-Description: Developer documentation for AppStream
- AppStream is a metadata specification which permits software components to

## appstream 1.0.6

=== debian/changelog ===
appstream (1.0.6-2) unstable; urgency=medium

  * Add validator_fix-possible-double-dereference.patch:
    - Fixes as potential double-dereference of an AsIssue object
      when running validate-tree, which generates a GLib warning
      that messes up the YAML output of appstreamcli.
      This broke Lintian before (which apparently redirects stderr
      and stdout to the same place?)

 -- Matthias Klumpp <mak@debian.org>  Thu, 28 Aug 2025 14:36:46 +0200

appstream (1.0.6-1) unstable; urgency=medium

  * New upstream version: 1.0.6

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Aug 2025 19:54:34 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                libpango1.0-dev,
                librsvg2-dev (>= 2.48) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
                libstemmer-dev,
+               libsystemd-dev (>= 242) [linux-any],
                libxml2-dev,
                libxmlb-dev (>= 0.3.13),
                libyaml-dev,
@@ -272,5 +273,3 @@
 Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
-Section: doc
-Depends: libjs-highlight.js,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+
+built_binaries := $(shell dh_listpackages)
 
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32))
 	ENABLE_COMPOSE=true
@@ -18,8 +20,14 @@
 	AS_CONFIGURE_ARGS += -Dsystemd=false
 endif
 
+ifeq ($(filter %-doc,$(built_binaries)),)
+	AS_CONFIGURE_ARGS += -Dapidocs=false
+else
+	AS_CONFIGURE_ARGS += -Dapidocs=true
+endif
+
 %:
-	dh $@ --with gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

## appstream 1.1.0

=== debian/changelog ===
appstream (1.1.0-1) unstable; urgency=medium

  * New upstream version: 1.1.0
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Tue, 16 Sep 2025 21:52:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev | libcurl-dev (>= 7.62),
                libfontconfig-dev,
+               libfyaml-dev,
                libgdk-pixbuf-2.0-dev,
                libglib2.0-dev (>= 2.62),
                libjs-highlight.js,
@@ -24,13 +25,12 @@
                libsystemd-dev (>= 242) [linux-any],
                libxml2-dev,
                libxmlb-dev (>= 0.3.13),
-               libyaml-dev,
                meson (>= 0.62),
                qt6-base-dev,
                qtbase5-dev,
                valac,
                xsltproc
-Build-Depends-Indep: gi-docgen <!nodoc>,
+Build-Depends-Indep: gi-docgen <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
@@ -61,7 +61,7 @@
  validating it for compliance with the specification.
 
 Package: appstream-compose
-Architecture: amd64 arm64 armel armhf i386 loong64  mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Depends: appstream,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -211,7 +211,7 @@
  software management tools which use the Qt5-based AppStream library.
 
 Package: libappstream-compose0
-Architecture: amd64 arm64 armel armhf i386 loong64  mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
version=4

https://www.freedesktop.org/software/appstream/releases/AppStream-([\d\.]+)\.(?:tar\.xz|tar\.zst|tar\.gz)

## appstream 1.1.1

=== meson_options.txt ===
option('stemming',
       type : 'boolean',
       value : true,
       description : 'Use stemming while searching. Requires Snowball (libstemmer)'
)
option('systemd',
       type : 'boolean',
       value : true,
       description : 'Build with systemd support'
)
option('vapi',
       type : 'boolean',
       value : false,
       description : 'Create and install a Vala API file. Requires "gir" to be enabled as well'
)
option('qt',
       type : 'boolean',
       value : false,
       description : 'Build libAppStreamQt'
)
option('compose',
       type : 'boolean',
       value : false,
       description : 'Build libappstream-compose library and `appstreamcli compose` tool'
)
option('apt-support',
       type : 'boolean',
       value : false,
       description : 'Enable integration with APT on Debian'
)
option('gir',
       type : 'boolean',
       value : true,
       description : 'Build introspection data'
)
option('svg-support',
       type : 'boolean',
       value : true,
       description : 'SVG graphics support for compose (only disable this for bootstrapping purposes)'
)
option('zstd-support',
       type : 'boolean',
       value : true,
       description : 'Support Zstd for (de)compressing local / remote metadata'
)

#
# For documentation
#
option('docs',
       type : 'boolean',
       value : false,
       description : 'Build documentation for API and specification'
)
option('apidocs',
       type : 'boolean',
       value : true,
       description : 'Build API documentation (automatically enabled when "-Ddocs=true" is passed)'
)
option('install-docs',
       type : 'boolean',
       value : true,
       description : 'Install documentation for API and specification'
)
option('man',
       type : 'boolean',
       value : true,
       description : 'Build manual pages and install them'
)

#
# For development
#
option('maintainer',
       type : 'boolean',
       value : false,
       description : 'Enable maintainer mode (use strict compiler flags, e.g. -Werror)'
)
option('static-analysis',
       type : 'boolean',
       value : false,
       description : 'Enable GCC static analysis support'
)

=== debian/changelog ===
appstream (1.1.1-1) unstable; urgency=medium

  * New upstream version: 1.1.1
  * Drop Qt5 build of libappstream (removed upstream)

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Oct 2025 20:14:46 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev | libcurl-dev (>= 7.62),
                libfontconfig-dev,
-               libfyaml-dev,
+               libfyaml-dev (>= 0.9),
                libgdk-pixbuf-2.0-dev,
                libglib2.0-dev (>= 2.62),
                libjs-highlight.js,
@@ -27,7 +27,6 @@
                libxmlb-dev (>= 0.3.13),
                meson (>= 0.62),
                qt6-base-dev,
-               qtbase5-dev,
                valac,
                xsltproc
 Build-Depends-Indep: gi-docgen <!nodoc>
@@ -174,42 +173,6 @@
  This package contains development files necessary to develop
  software management tools which use the Qt-based AppStream library.
 
-Package: libappstreamqt5-3
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Description: Qt5 library to access AppStream services
- AppStream is a metadata specification which permits software components to
- provide information about themselves to automated systems and end-users
- before the software is actually installed.
- This permits informative displays of new applications to users in software
- centers, as well as allowing a system to make decisions on which new software
- a user might want to install (e.g. missing firmware or media handlers).
- .
- This package contains a Qt5-based library to access AppStream
- services, like the software component metadata pool.
-
-Package: libappstreamqt5-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libappstreamqt5-3 (= ${binary:Version}),
-         qtbase5-dev,
-         ${misc:Depends}
-Description: Qt5 library to access AppStream services (development files)
- AppStream is a metadata specification which permits software components to
- provide information about themselves to automated systems and end-users
- before the software is actually installed.
- This permits informative displays of new applications to users in software
- centers, as well as allowing a system to make decisions on which new software
- a user might want to install (e.g. missing firmware or media handlers).
- .
- This package contains development files necessary to develop
- software management tools which use the Qt5-based AppStream library.
-
 Package: libappstream-compose0
 Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Section: libs
@@ -273,3 +236,42 @@
 Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
+Section: doc
+Depends: libjs-highlight.js,
+         ${misc:Depends}
+Suggests: appstream
+Description: Developer documentation for AppStream
+ AppStream is a metadata specification which permits software components to
+ provide information about themselves to automated systems and end-users
+ before the software is actually installed.
+ This permits informative displays of new applications to users in software
+ centers, as well as allowing a system to make decisions on which new software
+ a user might want to install (e.g. missing firmware or media handlers).
+ .
+ This package provides developer documentation for AppStream.
+
+Package: apt-config-icons
+Architecture: all
+Multi-Arch: foreign
+Section: misc
+Depends: appstream,
+         ${misc:Depends}
+Description: APT configuration snippet to enable icon downloads
+ This package contains an APT configuration snippet that enables the
+ download of an icon tarball containing application icons for display in
+ software centers.
+ Icons get downloaded directly from the archive via regular cache updates,
+ and match the software currently available in the respective archive suites.
+ .
+ This snippet enables icons of the default icon size set in the AppStream
+ specification for software centers, 64x64px. It also enables downloads
+ of smaller 48x48px icons.
+
+Package: apt-config-icons-hidpi
+Architecture: all
+Multi-Arch: foreign
+Section: misc
+Depends: apt-config-icons,
+         ${misc:Depends}
+Description: APT configuration snippet to enable HiDPI icon downloads
+ This package contains an APT configuration snippet that enables the

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 AS_CONFIGURE_ARGS = -Dapt-support=true \
 		-Dcompose=$(ENABLE_COMPOSE) \
 		-Dvapi=true \
-		-Dqt=true \
-		-Dqt-versions=5,6
+		-Dqt=true
 
 ifneq ($(DEB_HOST_ARCH_OS), linux)
 	AS_CONFIGURE_ARGS += -Dsystemd=false

=== debian/tests/control ===
Tests: build
Depends: build-essential,
         libappstream-dev

Tests: cache-refresh
Depends: appstream
Restrictions: needs-root

## appstream 1.1.2

=== meson_options.txt ===
--- 
+++ 
@@ -22,6 +22,11 @@
        type : 'boolean',
        value : false,
        description : 'Build libappstream-compose library and `appstreamcli compose` tool'
+)
+option('bash-completion',
+       type : 'boolean',
+       value : true,
+       description : 'Bash completion'
 )
 option('apt-support',
        type : 'boolean',

=== debian/changelog ===
appstream (1.1.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.1.2

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing cross-only Build-Depends (Closes: #1126107)

 -- Matthias Klumpp <mak@debian.org>  Wed, 28 Jan 2026 22:08:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               appstream <cross>,
+               bash-completion,
                docbook-xsl,
                gettext,
                gir1.2-gdkpixbuf-2.0-dev,
@@ -12,6 +14,7 @@
                gobject-introspection,
                gperf,
                itstool,
+               libappstream-dev:native <cross>,
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev | libcurl-dev (>= 7.62),
                libfontconfig-dev,
@@ -273,5 +276,3 @@
 Section: misc
 Depends: apt-config-icons,
          ${misc:Depends}
-Description: APT configuration snippet to enable HiDPI icon downloads
- This package contains an APT configuration snippet that enables the
